Subject: linking w/ microsoft libraries that reference kernel32 functions
From: [email-masked] (Larry Meadows)

8 Aug 1997 15:08:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I'm trying to link with the Intel BLAS library, intended for use
with microsoft C and/or the Intel reference compiler. It has some code
in it that references several kernel32 DLL functions with names
__imp__xxx . These are unresolved by ld, and if I try to create an
assembly file that defines them and sets them to the appropriate
gnu interface function, I get program that won't execute:

bash: ./a.exe: (null)
bash$ gdb -nw a.exe
GNU gdb 4.16.1
Copyright 1997 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-cygwin32"...
(gdb) run
Starting program: /tmp/a.exe
Error creating process /tmp/a.exe, (error 193)

Obviously this must be an FAQ, but I can't find it.

Thanks.

lfm
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".